Bug 1077 - Task editor crashes upon saving
Summary: Task editor crashes upon saving
Status: RESOLVED FIXED
Alias: None
Product: DIRSIG4
Classification: Unclassified
Component: dirsig_edit (show other bugs)
Version: 4.5.2-release
Hardware: All All
: P5 blocker
Assignee: Scott D. Brown
URL:
Depends on:
Blocks:
 
Reported: 2013-12-10 20:35 EST by Paul Romanczyk
Modified: 2014-01-02 08:14 EST (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Romanczyk 2013-12-10 20:35:26 EST
To recreate:
-Click the New Collection Tasks button
-Click "Add Task"
-Click "New Task" in the task list
-Press the Save icon
-Enter an name
-Press save 
-dirsig_edit crashes

I am using dirsig-4.5.2 r13188
This was NOT broken on dirsig-4.5.1 r12800

Both were run on OSX 10.8.5
Comment 1 Scott D. Brown 2013-12-11 15:23:40 EST
Yes, we found this in DIRSIG training on Monday.  I have a fix for 4.5.3.
Comment 2 Scott D. Brown 2013-12-13 09:58:58 EST
The problem was that the data model "add task" command had not been updated to match the more robust data model. When the user added a task, the data model lacked certain elements that the save() function assumed would be there.

This has been fixed in the 4.5.3 tag, which we have fast tracked for release by the end of the year.